#map {
    height: 100%;
    width: 100%;
    left: 0;
    position: absolute;
    top: 0;
}

#map .gm-style>div:not(:first-child) {
    display: none;
}

#gym-popup,
#menu {
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.30);
    border-radius: 4px;
    z-index: 10000;
    display: none;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    max-width: 100%;
    max-height: 100%;
    overflow: auto;
    font-size: 12px;
    color: #008876;
}

#menu {
    background: #ffffff;
    width: 340px;
    height: 597px;
}

#gym-popup {
    background: black;
    width: 340px;
    height: 355px;
    color: white;
    overflow: hidden;
}

#gym-popup>div,
#menu>div {
    height: 100%;
}

#gym-popup>div {
    background-size: cover;
}

#gym-popup.visible,
#menu.visible {
    display: block;
}

.pokemon-image {
    margin-left: auto;
    margin-right: auto;
    width: 50px;
    background-position-x: center;
    height: 40px;
    background-size: contain;
    background-repeat: no-repeat;
}

.gym-popup-overlay {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.50);
}

#gym-modified {
    text-align: center;
}

#open-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    margin: 5px 5px;
    z-index: 10000;
    display: block;
    background-color: #FFF;
    border-radius: 25px;
}

#open {
    height: 32px;
    width: 32px;
    margin: 5px 5px;
    background-image: url('../images/more.svg');
    background-repeat: no-repeat;
    background-size: contain;
    cursor: pointer;
    -webkit-transition: opacity 0.2s ease-in-out;
    -moz-transition: opacity 0.2s ease-in-out;
    -ms-transition: opacity 0.2s ease-in-out;
    -o-transition: opacity 0.2s ease-in-out;
    transition: opacity 0.2s ease-in-out;
    -webkit-filter: grayscale(1);
    -webkit-filter: grayscale(100%);
    filter: gray;
    filter: grayscale(100%);
}

.close-wrapper {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.close-button {
    height: 55px;
    width: 55px;
    margin: 0 auto 10px;
    background-image: url('../images/close.png');
    background-repeat: no-repeat;
    background-size: contain;
    cursor: pointer;
    -webkit-transition: opacity 0.2s ease-in-out;
    -moz-transition: opacity 0.2s ease-in-out;
    -ms-transition: opacity 0.2s ease-in-out;
    -o-transition: opacity 0.2s ease-in-out;
    transition: opacity 0.2s ease-in-out;
}

.close-button:hover {
    opacity: 0.8;
}

.nav-item {
    color: #656b6b;
    text-align: center;
    background: #f5f5f5;
    width: 25%;
    height: 69px;
    float: left;
    padding: 12px 0;
    cursor: pointer;
}

.nav-item.active {
    background: white;
    color: #008876;
}

.nav-item img.img-dark,
.nav-item img.img-color {
    display: block;
    height: 36px;
    margin: 0 auto;
}

.nav-item.active img.img-color,
.nav-item:not(.active) img.img-dark {
    -webkit-filter: grayscale(1);
    -webkit-filter: grayscale(100%);
    filter: gray;
    filter: grayscale(100%);
}

.tab-content .tab-pane {
    padding: 12px;
}

.pink-badge {
    background: #ef70a9;
    border-radius: 100px;
    color: white;
    text-align: center;
    position: absolute;
    bottom: 6px;
    left: 6px;
    right: 6px;
}

#gym-name,
#raid-title {
    font-weight: bold;
}

#gym-team {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 51px;
    width: 57px;
    margin: 5px auto;
}

#raid-image {
    height: 51px;
    margin: 5px;
}

#gym-team.mystic {
    background-image: url(../images/gym-mystic.png);
}

#gym-team.valor {
    background-image: url(../images/gym-valor.png);
}

#gym-team.instinct {
    background-image: url(../images/gym-instinct.png);
}

.pane-box,
.gyms-free-spot {
    background: #f5f5f5;
}

.pane-box.active,
.gyms-free-spot.active {
    background: #aef2ae;
}

.pane-box-wrapper {
    padding: 6px;
    max-height: 390px;
    overflow-x: hidden;
}

.pane-box-wrapper>.row {
    margin-left: 0px;
    margin-right: 0px;
}

.pane-box {
    padding: 6px;
    cursor: pointer;
}

.pane-box-img {
    margin: 8px auto 40px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.pane-box-img.gym-img {
    height: 51px;
    width: 57px;
}

.pane-box-img.pokemon-img,
.pane-box-img.raid-img,
.pane-box-img.settings-img {
    height: 80px;
    width: 65px;
}

#gyms .gyms-free {
    margin: 0 14px;
    text-align: center;
    height: 25px;
    line-height: 25px;
    cursor: pointer;
}

.button {
    color: white;
    background-image: linear-gradient(-90deg, #8ae295 0%, #00d5ac 100%);
    border-radius: 100px;
    cursor: pointer;
    text-align: center;
    text-transform: uppercase;
    height: 34px;
    line-height: 34px;
    width: 174px;
    margin: 0 auto;
}

@media only screen and (max-width: 512px) {
    #menu {
        width: 100%;
        height: 100%;
        border-radius: initial;
        box-shadow: initial;
    }
    .tab-content {
        overflow-y: scroll;
        height: calc(100vh - 69px);
    }
    .pane-box-wrapper {
        max-height: initial;
        overflow: initial;
    }
}

.blackline {
    -webkit-filter: drop-shadow(2px 2px 0 black) drop-shadow(-2px 2px 0 black) drop-shadow(2px -2px 0 black) drop-shadow(-2px -2px 0 black);
    filter: drop-shadow(2px 2px 0 black) drop-shadow(-2px 2px 0 black) drop-shadow(2px -2px 0 black) drop-shadow(-2px -2px 0 black);
}

.advert {
    position: fixed;
    z-index: 9000;
}

.side-desktop-ad {
    position: fixed;
    right: 5px;
    top: 50%;
    transform: translate(0%, -50%);
}

.desktop-ad {
    text-align: center;
    display: block;
    position: fixed;
    bottom: 5px;
    left: 50%;
    transform: translate(-50%, 0%);
}

.mobile-ad {
    display: none;
}

@media (min-width: 68px) and (max-width: 845px) {
    .advert {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 95px;
        text-align: center;
        z-index: 1000;
        min-width: 320px;
        min-height: 100px;
    }
    .desktop-ad {
        display: none;
    }
    .mobile-ad {
        text-align: center;
        display: block;
        position: fixed;
        left: 50%;
        transform: translate(-50%, 0%);
    }
    .side-desktop-ad {
        display: none;
    }
}

@media (min-width: 846px) and (min-height: 625px) {
    .desktop-ad {
        display: block;
    }
    .mobile-ad {
        display: none;
    }
    .side-desktop-ad {
        display: block;
    }
}

.markerlabel {
    background: rgba(0, 0, 0, 0.44) none repeat scroll 0% 0%;
    padding: 1px 4px 1px 4px;
    border-radius: 25px;
    font-size: 9px;
    font-weight: 800;
    color: #ffffff;
    position: absolute;
    z-index: 1000 !important;
}


.raidboss-known {
    background: rgba(0, 158, 9, 0.62) none repeat scroll 0% 0%;
    border-radius: 100px;
    padding: 0px 7px;
}

.raidboss-unknown {
    background: rgba(169, 107, 0, 0.59) none repeat scroll 0% 0%;
    border-radius: 100px;
    padding: 0px 7px;
}

.markerraidactivelabel {
    background: rgba(0, 158, 9, 0.62) none repeat scroll 0% 0%;
    padding: 1px 4px 1px 4px;
    border-radius: 25px;
    font-size: 9px;
    font-weight: 800;
    color: #ffffff;
    position: absolute;
}

.markerraidinactivelabel {
    background: rgba(169, 107, 0, 0.59) none repeat scroll 0% 0%;
    padding: 1px 4px 1px 4px;
    border-radius: 25px;
    font-size: 9px;
    font-weight: 800;
    color: #ffffff;
    position: absolute;
}